# Class IrcMessage | EchoHub Documentation
Parsed representation of an IRC protocol line. Format: [:prefix] COMMAND [params...] [:trailing]

# Class IrcMessage

Namespace
  EchoHub.Server.Irc

Assembly
  EchoHub.Server.Irc.dll

Parsed representation of an IRC protocol line. Format: [:prefix] COMMAND [params...] [:trailing]

    public sealed class IrcMessage

Inheritance
  object
  IrcMessage

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### IrcMessage()

    public IrcMessage()

## Properties

### Command

    public string Command { get; init; }

#### Property Value

string

### Parameters

    public List<string> Parameters { get; init; }

#### Property Value

List<string>

### Prefix

    public string? Prefix { get; init; }

#### Property Value

string

### Trailing

    public string? Trailing { get; }

#### Property Value

string

## Methods

### Parse(string)

Parse a raw IRC line: [:prefix SPACE] command [SPACE params] CRLF

    public static IrcMessage Parse(string line)

#### Parameters

`line` string

#### Returns

IrcMessage